-- phpMyAdmin SQL Dump
-- version 5.2.1
-- https://www.phpmyadmin.net/
--
-- Počítač: 127.0.0.1
-- Vytvořeno: Pon 02. pro 2024, 23:39
-- Verze serveru: 10.4.32-MariaDB
-- Verze PHP: 8.2.12

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Databáze: `travelblog`
--

-- --------------------------------------------------------

--
-- Struktura tabulky `articles`
--

CREATE TABLE `articles` (
  `article_id` int(11) NOT NULL,
  `title` varchar(255) NOT NULL,
  `content` text NOT NULL,
  `author_id` int(11) NOT NULL,
  `destination_id` int(11) NOT NULL,
  `created_at` timestamp NOT NULL DEFAULT current_timestamp(),
  `updated_at` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp()
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Vypisuji data pro tabulku `articles`
--

INSERT INTO `articles` (`article_id`, `title`, `content`, `author_id`, `destination_id`, `created_at`, `updated_at`) VALUES
(4, 'Letní dovolená u mořee', 'Popis ideální letní dovolené na pláži, kde si můžete užít slunce, moře a plavání.', 2, 1, '2024-11-26 11:00:00', '2024-12-02 19:38:11'),
(5, 'Turistika v českých horách', 'Vydejte se na krásnou túru po českých horách a užijte si přírodu a ticho.', 2, 2, '2024-11-26 11:10:00', '2024-11-26 11:10:00'),
(6, 'Cestování po historických městech', 'Prozkoumejte kouzelná města plná historie, kultury a architektury.', 2, 3, '2024-11-26 11:20:00', '2024-11-26 11:20:00'),
(7, 'Pohodová dovolená u jezera', 'Ideální místo pro relaxaci a vodní sporty. Jezera nabízejí krásné přírodní scenérie a klid.', 2, 4, '2024-11-26 11:30:00', '2024-11-26 11:30:00'),
(8, 'Dobrodružství v marocké poušti', 'Pojďte prozkoumat drsnou krásu marockých pouští a zažijte jedinečné dobrodružství.', 2, 5, '2024-11-26 11:40:00', '2024-11-26 11:40:00'),
(11, 'dsf', 'fs', 1, 10, '2024-12-02 19:56:43', '2024-12-02 20:46:41'),
(12, 's', 's', 1, 7, '2024-12-02 20:31:54', '2024-12-02 20:31:54'),
(14, 'a', 'a', 1, 11, '2024-12-02 20:38:41', '2024-12-02 20:48:18'),
(15, 'm', 'm', 1, 12, '2024-12-02 20:43:32', '2024-12-02 20:49:27'),
(16, 'd', 'd', 2, 13, '2024-12-02 20:51:40', '2024-12-02 20:51:40'),
(17, 'n', 'n', 1, 14, '2024-12-02 20:52:47', '2024-12-02 20:52:47');

-- --------------------------------------------------------

--
-- Struktura tabulky `article_tags`
--

CREATE TABLE `article_tags` (
  `article_id` int(11) NOT NULL,
  `tag_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Vypisuji data pro tabulku `article_tags`
--

INSERT INTO `article_tags` (`article_id`, `tag_id`) VALUES
(4, 1),
(5, 2),
(6, 3),
(7, 4),
(8, 5),
(11, 2);

-- --------------------------------------------------------

--
-- Struktura tabulky `destinations`
--

CREATE TABLE `destinations` (
  `destination_id` int(11) NOT NULL,
  `country` varchar(100) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Vypisuji data pro tabulku `destinations`
--

INSERT INTO `destinations` (`destination_id`, `country`) VALUES
(1, 'Česká republika'),
(2, 'Česká republika'),
(3, 'Česká republika'),
(4, 'Česká republika'),
(5, 'Maroko'),
(6, 'SK'),
(7, 'CZ'),
(8, 'SK\r\n'),
(9, 'CZ\r\n'),
(10, 'Sk\r\n\r\n'),
(11, 'Maroko\r\n'),
(12, 'Německo'),
(13, 'Polsko'),
(14, 'Nigérie');

-- --------------------------------------------------------

--
-- Struktura tabulky `tags`
--

CREATE TABLE `tags` (
  `tag_id` int(11) NOT NULL,
  `name` varchar(50) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Vypisuji data pro tabulku `tags`
--

INSERT INTO `tags` (`tag_id`, `name`) VALUES
(3, 'cestování'),
(2, 'hory'),
(4, 'jezerní krajiny'),
(1, 'moře'),
(5, 'poušť');

-- --------------------------------------------------------

--
-- Struktura tabulky `users`
--

CREATE TABLE `users` (
  `user_id` int(11) NOT NULL,
  `username` varchar(50) NOT NULL,
  `password_hash` varchar(255) NOT NULL,
  `role` enum('admin','delegate') NOT NULL,
  `created_at` timestamp NOT NULL DEFAULT current_timestamp()
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Vypisuji data pro tabulku `users`
--

INSERT INTO `users` (`user_id`, `username`, `password_hash`, `role`, `created_at`) VALUES
(1, 'admin', '$2a$10$zZEYZr6SBdQrk8vzJBp.9eyZms.oe/Nqw40KSvYjTvXAgUi9BpZKC', 'admin', '2024-11-27 17:58:27'),
(2, 'delegate', '$2a$10$fDpzS.3hYxTH9QptHA8LYucrB/wffF8FLvlDVB4574.D2x/nv7RX6', 'delegate', '2024-11-27 17:58:27');

--
-- Indexy pro exportované tabulky
--

--
-- Indexy pro tabulku `articles`
--
ALTER TABLE `articles`
  ADD PRIMARY KEY (`article_id`),
  ADD KEY `author_id` (`author_id`),
  ADD KEY `destination_id` (`destination_id`);

--
-- Indexy pro tabulku `article_tags`
--
ALTER TABLE `article_tags`
  ADD PRIMARY KEY (`article_id`,`tag_id`),
  ADD KEY `tag_id` (`tag_id`);

--
-- Indexy pro tabulku `destinations`
--
ALTER TABLE `destinations`
  ADD PRIMARY KEY (`destination_id`);

--
-- Indexy pro tabulku `tags`
--
ALTER TABLE `tags`
  ADD PRIMARY KEY (`tag_id`),
  ADD UNIQUE KEY `name` (`name`);

--
-- Indexy pro tabulku `users`
--
ALTER TABLE `users`
  ADD PRIMARY KEY (`user_id`),
  ADD UNIQUE KEY `username` (`username`);

--
-- AUTO_INCREMENT pro tabulky
--

--
-- AUTO_INCREMENT pro tabulku `articles`
--
ALTER TABLE `articles`
  MODIFY `article_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=18;

--
-- AUTO_INCREMENT pro tabulku `destinations`
--
ALTER TABLE `destinations`
  MODIFY `destination_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=15;

--
-- AUTO_INCREMENT pro tabulku `tags`
--
ALTER TABLE `tags`
  MODIFY `tag_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=7;

--
-- AUTO_INCREMENT pro tabulku `users`
--
ALTER TABLE `users`
  MODIFY `user_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- Omezení pro exportované tabulky
--

--
-- Omezení pro tabulku `articles`
--
ALTER TABLE `articles`
  ADD CONSTRAINT `articles_ibfk_1` FOREIGN KEY (`author_id`) REFERENCES `users` (`user_id`),
  ADD CONSTRAINT `articles_ibfk_2` FOREIGN KEY (`destination_id`) REFERENCES `destinations` (`destination_id`);

--
-- Omezení pro tabulku `article_tags`
--
ALTER TABLE `article_tags`
  ADD CONSTRAINT `article_tags_ibfk_1` FOREIGN KEY (`article_id`) REFERENCES `articles` (`article_id`) ON DELETE CASCADE,
  ADD CONSTRAINT `article_tags_ibfk_2` FOREIGN KEY (`tag_id`) REFERENCES `tags` (`tag_id`) ON DELETE CASCADE;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
